STRUCT TEMPLAT(3)

NAME
boost::intrusive::bucket_traits

SYNOPSIS

// In header: <boost/intrusive/options.hpp>
template<typename BucketTraits>
struct bucket_traits {
  // member classes/structs/unions
  // @ template<class Base>
  struct pack {
    // types
    typedef BucketTraits bucket_traits;
  };
};

DESCRIPTION

This option setter specifies the bucket traits class for unordered associative containers. When this option is specified, instead of using the default bucket traits, a user defined holder will be defined